﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Xml.Serialization;
namespace ExempleApi.Models
{
    [XmlRoot]
    public class Users
    {
        [XmlElement]
        public List<User> User { get; set; }
    }

    [Serializable]
    [DataContract]
    public class User
    {
        [DataMember]
        [XmlAttribute]
        public int Id { get; set; }
        [DataMember]
        [XmlElement]
        public string Fullname { get; set; }
        [DataMember]
        [XmlElement]
        public int Likes { get; set; }
        [DataMember]
        [XmlElement]
        public int TotalPosts { get; set; }
        [DataMember]
        [XmlElement]
        public int TotalFollowing { get; set; }
        [DataMember]
        public int TotalFollowers { get; set; }
        [DataMember]
        [XmlElement]
        public string ImageURL { get; set; }
        [DataMember]
        [XmlElement]
        public string City { get; set; }
    }
}