﻿using ExempleApiClient.Models;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace ExempleApiClient
{
    class Program
    {
        static void Main(string[] args)
        {
            GetUserProfile(1);
        }

        static void GetUserProfile(int id)
        {
            string url = "http://localhost:2285/api/User/"+id+"/Profile";
            HttpWebRequest httpRequest = null;
            HttpWebResponse httpResponse = null;
            try
            {
                httpRequest = (HttpWebRequest)HttpWebRequest.Create(url);
                httpRequest.Method = "GET";
                httpRequest.ContentType = "application/json";
                httpResponse = (HttpWebResponse)httpRequest.GetResponse();

                using (Stream stream = httpResponse.GetResponseStream())
                {
                    StreamReader reader = new StreamReader(stream);
                    User jsonDeserialized = JsonConvert.DeserializeObject<User>(reader.ReadToEnd());
                    System.Diagnostics.Debug.WriteLine("{0}\t{1}", jsonDeserialized.fullname, jsonDeserialized.city);
                }
            }
            catch (Exception ex)
            {
                //handle exception
            }
            finally
            {
                httpRequest = null;
                httpResponse = null;
            }
        }
    }
}
//httpRequest = (HttpWebRequest)HttpWebRequest.Create(url); 
//httpRequest.Headers.Add("id", "1");